bs-nav:
  label: Nav
  namespace: Organisms/Bootstrap
  use: '@organisms/tm-bs/nav/nav.twig'
  description: BS Nav.
  fields:
    items:
      type: object
      label: Items
      description: Menu item objects from Drupal
      preview:
        - title: Tab title A
          url: /here
          in_active_trail: true
        - title: Tab title B
          url: /here
        - title: Tab title C
          url: /here
        - title: Tab title D
          url: /here
          is_expanded: true
          split: true
          below:
            - title: Tab title E
              url: /here
            - title: Tab title F
              url: /here
    nav_prefix:
      type: text
      label: Nav prefix
      description: Add an extra nav item to the beginning
    nav_suffix:
      type: text
      label: Nav suffix
      description: Add an extra nav item to the end
    nid:
      type: text
      label: Nav ID
      preview:
        faker: lorem.slug

  settings:
    type:
      type: select
      label: Type
      description: The type of tabs. 'Links' links to other pages. 'Live' swaps content
        panel.
      options:
        links: Links
        live: Live
      default_value: links
    no_active:
      type: boolean
      label: No starting active
      default_value: false
      preview: false
    mobile_rows:
      type: boolean
      label: Mobile rows
      description: Show as rows on mobile
      default_value: false
      preview: false
    alignment:
      type: select
      label: Alignment
      description: Alignment
      default_value: left
      options:
        left: left
        right: right
        center: center
        vertical: vertical
    style:
      type: select
      label: Alignment
      description: Alignment
      default_value: tabs
      options:
        tabs: tabs
        pills: pills
    fill:
      type: select
      label: Fill
      description: Fill
      default_value: justify
      options:
        fill: fill
        justify: justify
    nav_classes:
      type: textfield
      label: Nav classes
      description: Nav classes
  variants:
    __default:
      label: Default
      description: Default
    tbi_a:
      label: Version A
      description: Version A
      settings:
        nav_classes: tbn-a
    tbi_b:
      label: Version B
      description: Version B
      settings:
        nav_classes: tbn-b
    tbi_c:
      label: Version C
      description: Version C
      settings:
        nav_classes: tbn-c
    tbi_d:
      label: Version D
      description: Version D
      settings:
        nav_classes: tbn-d
    tbi_e:
      label: Version E
      description: Version E
      settings:
        nav_classes: tbn-e
